SDL_GPUGraphicsPipelineTargetInfo Struct Reference

`#include <SDL_gpu.h>`

Collaboration diagram for SDL_GPUGraphicsPipelineTargetInfo:
[legend]

## Data Fields

const SDL_GPUColorTargetDescription * | color_target_descriptions
Uint32 | num_color_targets
SDL_GPUTextureFormat | depth_stencil_format
bool | has_depth_stencil_target
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3

## Detailed Description

A structure specifying the descriptions of render targets used in a graphics pipeline.

Since
  This struct is available since SDL 3.2.0.

See also
  SDL_GPUGraphicsPipelineCreateInfo
  SDL_GPUColorTargetDescription
  SDL_GPUTextureFormat

Definition at line 1815 of file SDL_gpu.h.

## Field Documentation

## color_target_descriptions

const SDL_GPUColorTargetDescription* SDL_GPUGraphicsPipelineTargetInfo::color_target_descriptions

A pointer to an array of color target descriptions.

Definition at line 1817 of file SDL_gpu.h.

## depth_stencil_format

SDL_GPUTextureFormat SDL_GPUGraphicsPipelineTargetInfo::depth_stencil_format

The pixel format of the depth-stencil target. Ignored if has_depth_stencil_target is false.

Definition at line 1819 of file SDL_gpu.h.

## has_depth_stencil_target

bool SDL_GPUGraphicsPipelineTargetInfo::has_depth_stencil_target

true specifies that the pipeline uses a depth-stencil target.

Definition at line 1820 of file SDL_gpu.h.

## num_color_targets

Uint32 SDL_GPUGraphicsPipelineTargetInfo::num_color_targets

The number of color target descriptions in the above array.

Definition at line 1818 of file SDL_gpu.h.

## padding1

Uint8 SDL_GPUGraphicsPipelineTargetInfo::padding1

Definition at line 1821 of file SDL_gpu.h.

## padding2

Uint8 SDL_GPUGraphicsPipelineTargetInfo::padding2

Definition at line 1822 of file SDL_gpu.h.

## padding3

Uint8 SDL_GPUGraphicsPipelineTargetInfo::padding3

Definition at line 1823 of file SDL_gpu.h.

The documentation for this struct was generated from the following file:

- SDL_gpu.h